summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-txi
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-08-07 18:24:39 +0000
committerKarl Berry <karl@freefriends.org>2008-08-07 18:24:39 +0000
commit04090cf2a1f7b8abd369b3fb944199b902599342 (patch)
tree16b8660adca27757eb19769a536d936aeb109499 /Master/tlpkg/bin/tl-update-txi
parentc07533ee14074459c9f4aec42036b5cb4e12d613 (diff)
updates of texinfo manuals
git-svn-id: svn://tug.org/texlive/trunk@10145 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-txi')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-txi93
1 files changed, 93 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tl-update-txi b/Master/tlpkg/bin/tl-update-txi
new file mode 100755
index 00000000000..229b042d31d
--- /dev/null
+++ b/Master/tlpkg/bin/tl-update-txi
@@ -0,0 +1,93 @@
+#!/bin/sh -e
+# $Id$
+# Public domain. Originally written 2008, Karl Berry.
+#
+# From the Texinfo manuals in TeX Live, simplistically build html/pdf,
+# install info/html/pdf. Don't delete info files since they are in the
+# dist's. Unfortunately no easy way to do the same for pdf.
+
+texihtml="makeinfo --html --no-split"
+texipdf="texi2pdf --quiet --clean"
+
+# Convenience variables.
+mydir=`dirname $0`
+Master=`cd $mydir/../.. && pwd`
+docdir=$Master/texmf/doc
+infodir=$docdir/info
+
+Build=`cd $Master/../Build && pwd`
+xk=$Build/source/texk
+xu=$Build/source/utils
+
+#
+do_dvipng() {
+ mypkg=dvipng
+ cd $xk/$mypkg || exit 1
+ MV=cp mvcp-if-change $mypkg.info $infodir/
+ $texihtml $mypkg.texi && mvcp-if-change $mypkg.html $docdir/$mypkg/
+ $texipdf $mypkg.texi && mv -v $mypkg.pdf $docdir/$mypkg/
+}
+
+#
+do_dvips() {
+ mypkg=dvips
+ cd $xk/${mypkg}k || exit 1
+ MV=cp mvcp-if-change $mypkg.info $infodir/
+ $texihtml $mypkg.texi && mvcp-if-change $mypkg.html $docdir/$mypkg/
+ if texi2dvi --quiet --clean $mypkg.texi; then
+ # raw PostScript examples
+ mainmap=$Master/texmf/fonts/map/dvips/updmap/psfonts.map
+ dvips -q -t letter -u $mainmap $mypkg.dvi
+ /usr/bin/ps2pdf $mypkg.ps
+ mv -v $mypkg.pdf $docdir/$mypkg/
+ rm $mypkg.dvi $mypkg.ps
+ fi
+}
+
+#
+do_kpathsea() {
+ mypkg=kpathsea
+ cd $xk/$mypkg || exit 1
+ MV=cp mvcp-if-change $mypkg.info $infodir/
+ $texihtml $mypkg.texi && mvcp-if-change $mypkg.html $docdir/$mypkg/
+ $texipdf $mypkg.texi && mv -v $mypkg.pdf $docdir/$mypkg/
+}
+
+#
+# Uniquely, no .info files in the distribution.
+do_texinfo() {
+ mypkg=texinfo
+ cd $xu/$mypkg/doc || exit 1
+ for manual in info info-stnd texinfo; do
+ if test $manual = texinfo; then
+ src=$manual.txi
+ else
+ src=$manual.texi
+ fi
+ makeinfo --no-split $src
+ test $manual = texinfo && mv texinfo texinfo.info
+ mvcp-if-change $manual.info $infodir/
+ $texihtml $src && mv -v $manual.html $docdir/$mypkg/
+ $texipdf $src && mv -v $manual.pdf $docdir/$mypkg/
+ done
+}
+
+#
+do_web2c() {
+ mypkg=web2c
+ cd $xk/$mypkg/doc || exit 1
+ MV=cp mvcp-if-change $mypkg.info $infodir/
+ $texihtml $mypkg.texi && mvcp-if-change $mypkg.html $docdir/$mypkg/
+ $texipdf $mypkg.texi && mv -v $mypkg.pdf $docdir/$mypkg/
+}
+
+do_dvipng
+do_dvips
+do_kpathsea
+do_texinfo
+do_web2c
+
+exit $?
+
+# still to add checks for: eplain, fontname.
+# static: tds, texdraw.